#ifndef CHANGETYPES_HPP_
#define CHANGETYPES_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

enum ChangesinAtom {
  NoAtom,
  AtomName,
  AtomPosition,
  AtomVelocity,
  AtomElement,
  AtomMolecule
};

enum ChangesinMolecule {
  NoMolecule,
  MoleculeName,
  MoleculeCount,
  MoleculePosition,
  MoleculeFormula
};

enum ChangesinElement {
  NoElement,
  ElementZ,
  ElementName,
  ElementSymbol,
  ElementMass,
  ElementCovalent,
  ElementVanderWaals,
  ElementValence
};

#endif /*CHANGETYPES_HPP_*/
